@import url('https://fonts.googleapis.com/css2?family=Manrope:wght@300;400;500;600&display=swap');


body {
	margin: 0;
	background-color: #b69b7d;
}

h1 {
	font-family: 'Manrope', sans-serif; 
	letter-spacing: 0.1em;
	font-weight: 600;
} 

.logo {
	height: 100px;
	color: black;
}

form {
	color: white;
}

.white {
	color: white;
}

.form-container {
	margin-top: 20px;
	background-color: #b69b7d;
}

	.form-header, .form-content {
		width: 1000px;
		margin: 0 auto;
		border: 1px solid whitesmoke;
		background-color: #231F20;
	}

	.form-content {
		padding: 20px 0;
		font-size: 20px;
		font-family: 'Manrope', sans-serif; 
		font-weight: 400;

	}
		.form-header {
			text-align: center;
		}

		.content-parent-1, .content-parent-2, .content-parent-3, .content-parent-4 {
			width: 650px;
			margin: 15px auto;
			display: flex;
			align-items: center;
		}

		.content-parent-1, .content-parent-4 {
			justify-content: center;
		}

			.content-child-3 > label {
				margin-right: 22px;
			}
			
			.content-child-2 > label, .content-child-4 > label {
				margin-left: 60px;
			}

			.content-child-4 > label {
				margin-right: 7px;
			}

			select {
				width: 186.67px;
				padding: 10px 20px;
				border: none;
				border-radius: 4px;
				background-color: #f1f1f1;
				font-family: 'Manrope', sans-serif; 
				font-weight: 500;
			  }

			input[type=date], input[type=text], input[type=number] {
				padding: 10px 20px;
				border: none;
				border-radius: 4px;
				background-color: #f1f1f1;
				font-family: 'Manrope', sans-serif; 
				font-weight: 500;
			}
			
			#add-button {
				margin: 10px 0;
				background-color: #b69b7d;
				border: none;
				border-radius: 8px;
				padding: 16px 50px;
				text-decoration: none;
				margin: 4px 2px;
				cursor: pointer;
				font-family: 'Manrope', sans-serif; 
				font-size: 16px;
				font-weight: 600;
			}

			#add-button:hover {
				background-color: #a58d72;
			}

			#add-button:active {
				background-color: #a58d72;
				transform: translateY(4px);
			  }


.table-container {
	margin: 0 auto;
	width: 1000px;
	border: 1px solid black;
	background-color: white;
}

	.filter-container {
		margin: 20px auto;
		width: 846px;
		border: 1px solid black;
		padding: 10px 0;
	}

		.expense-filter {
			margin: 0 10px;
			font-family: 'Manrope', sans-serif; 
			font-weight: 500;
		}

		.clear-all {
			float: right;
      margin-right: 10px;
      padding: 8px 15px;
      background-color: rgb(180, 8, 8);
      color: white;
      border-radius: 8px;
      cursor: pointer;
      font-family: 'Manrope', sans-serif; 
			font-size: 14px;
			font-weight: 600;
    }

    .clear-all:hover {
      background-color: rgb(117, 3, 3);
    }

	table {
		border-collapse: collapse;
		margin: 30px auto;
	}

	th, td {
		border: 1px solid black;
	}

	tbody > tr:nth-child(odd) {
		background-color: #f2f2f2;
	}

		.header-delete, .checkbox {
			padding: 0 10px;
		}

		#checkbox, #delete-btn {
			cursor: pointer;
		}

		.header-date, .data-date {
			width: 130px;
			padding: 10px;
		}

		.header-description, .data-description {
			width: 200px;
			padding: 10px;
		}

		.header-location, .data-location {
			width: 150px;
			padding: 10px;
		}

		.header-catagory, .data-catagory {
			width: 140px;
			padding: 10px;
		}

		.header-amount, .data-amount {
			width: 80px;
			padding: 10px;
		}

		.default-data {
			padding: 10px;
			text-align: center;
		}

		.last-row {
			padding: 10px;
		}

